# Payment Links

 - [POST /paymentlinks/create](https://docs.shift4.com/apis/payments-platform-rest/openapi/payment-links/paymentslinkcreate.md): Used to send out a link via the Payment Links system Set `paymentLink.type` to choose the flow: - `line_items` (default) — a standard payment flow. Provide the products in `paymentLink.lineItems`. - `
 - [GET /paymentlinks/list](https://docs.shift4.com/apis/payments-platform-rest/openapi/payment-links/paymentslinklist.md): Used to retrieve a list of links via the Payment Links system **Integration Methods:** - Host Direct See the [Integration Methods](/guides/quickstart#integration-methods) and [URLs Section](/guides/q
 - [GET /paymentlinks/retrieve](https://docs.shift4.com/apis/payments-platform-rest/openapi/payment-links/paymentslinkretrieve.md): Used to retrieve a single link via the Payment Links system **Integration Methods:** - Host Direct See the [Integration Methods](/guides/quickstart#integration-methods) and [URLs Section](/guides/qui
 - [POST /paymentlinks/update](https://docs.shift4.com/apis/payments-platform-rest/openapi/payment-links/paymentslinkupdate.md): Used to update an existing payment link. The failed-payment limit can only be set when creating the link and cannot be changed here. **Integration Methods:** - Host Direct See the [Integration Method
 - [POST paymentlinks-notification](https://docs.shift4.com/apis/payments-platform-rest/openapi/payment-links/paymentlinksnotification.md): This is an outbound HTTP POST message from the Shift4 gateway to the merchant's environment that provides a status of the Payment Links request. This notification request will be sent from Shift4 to t
